Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.fileupload
Interface RequestContext

All Known Implementing Classes:
  ServletRequestContext

    public interface RequestContext

Abstracts access to the request information needed for file uploads. This interfsace should be implemented for each type of request that may be handled by FileUpload, such as servlets and portlets.

Since:
  FileUpload 1.1
Version:
  $Id: RequestContext.java 987920 2010-08-22 15:34:34Z markt $
Author:
  Martin Cooper

Method Summary
`String` | `getCharacterEncoding()` Retrieve the character encoding for the request.
`int` | `getContentLength()` Retrieve the content length of the request.
`String` | `getContentType()` Retrieve the content type of the request.
`InputStream` | `getInputStream()` Retrieve the input stream for the request.

Method Detail

### getCharacterEncoding

    String getCharacterEncoding()

  Retrieve the character encoding for the request.

  Returns:
    The character encoding for the request.

### getContentType

    String getContentType()

  Retrieve the content type of the request.

  Returns:
    The content type of the request.

### getContentLength

    int getContentLength()

  Retrieve the content length of the request.

  Returns:
    The content length of the request.

### getInputStream

    InputStream getInputStream()
                               throws IOException

  Retrieve the input stream for the request.

  Returns:
    The input stream for the request.
  Throws:
    `IOException` - if a problem occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.